<template>
  <div>
    <UserDetail :user="user" />
  </div>
</template>

<script>
import UserDetail from '~/components/user/UserDetail.vue'
import { API_USER } from '~/assets/contants/contant.js'
export default {
  components: { UserDetail },
  data() {
    return {
      id: this.$route.params.id,
      user: []
    }
  },
  methods: {
    async findUserById() {
      this.user = await this.$axios.$get(API_USER + this.id)
    }
  },
  mounted() {
    this.findUserById()
  }
}
</script>

<style></style>
